package ru.yandex.webmaster.common.sitemap;

import java.util.Date;

/**
 * @author avhaliullin
 */
public class RemovedUserSitemap {
    private final long hostId;
    private final String sitemapUrl;
    private final Date removeDate;
    private final long userId;

    public RemovedUserSitemap(long hostId, String sitemapUrl, Date removeDate, long userId) {
        this.hostId = hostId;
        this.sitemapUrl = sitemapUrl;
        this.removeDate = removeDate;
        this.userId = userId;
    }

    public long getHostId() {
        return hostId;
    }

    public String getSitemapUrl() {
        return sitemapUrl;
    }

    public Date getRemoveDate() {
        return removeDate;
    }

    public long getUserId() {
        return userId;
    }
}
